### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish

# Class EventData

java.lang.Object
com.sas.services.publish.EventData

All Implemented Interfaces:
  `EventDataInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class EventData extends Object implements EventDataInterface, Serializable
Contains the SASPackage event data. This includes the SASPackage event body, as well as persistence information. See SASPackage Event Usage for more details.

This class should not be invoked by the calling application. Supported delivery transports will use it to create an event describing the result package. Calling applications will only have to interface with the `EventDataInterface`.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventData(String event, boolean isPersisted)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBodyAsString()`
  Returns the SASPackage event body that describes the result package.
  `boolean`
  `isPackagePersisted()`
  Returns `true` if the result package represented by this event, was persisted.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventData

    public EventData(String event, boolean isPersisted)

- ## Method Details

  - ### getBodyAsString

    public String getBodyAsString()
    Description copied from interface: `EventDataInterface`
    Returns the SASPackage event body that describes the result package.
    Specified by:
      `getBodyAsString` in interface `EventDataInterface`
    Returns:
      `String` The SASPackage event body.

  - ### isPackagePersisted

    public boolean isPackagePersisted()
    Description copied from interface: `EventDataInterface`
    Returns `true` if the result package represented by this event, was persisted. If `true`, the event body will contain a URL to the persisted package.
    Specified by:
      `isPackagePersisted` in interface `EventDataInterface`
    Returns:
      `boolean` `true`if the result package was persisted;otherwise, `false` is returned.